<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
$set['title']='FM Клуб';
include_once '../../sys/inc/thead.php';
title();
err();
aut();
include_once 'online.php';

if (!isset($user) && !isset($_GET['id'])){header("Location: index.php?".SID);exit;}
if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' LIMIT 1"),0)==0){header("Location: index.php?".SID);exit;}
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1"));
$klubi=mysql_fetch_array(mysql_query("SELECT * FROM `fm_club` WHERE `id_user` = '$ank[id]' LIMIT 1"));
$klubi2=mysql_fetch_array(mysql_query("SELECT * FROM `fm_club` WHERE `id_user` = '$user[id]' LIMIT 1"));

$cena = mysql_fetch_array(mysql_query("SELECT * FROM `fm_admin` WHERE `id` = '1' LIMIT 1"));

if (isset($_GET['del']) && $user['id']==$ank['id'])
{
$del=intval($_GET['del']);
$gam=mysql_fetch_array(mysql_query("SELECT * FROM `fm_coach` WHERE `id` = '$del' LIMIT 1"));
if ($klubi2['id']!=$gam['id_club'])$err='Это не ваш тренер!';
if (!isset($err))
{
mysql_query("DELETE FROM `fm_coach` WHERE `id` = '$del'");
msg('Успешно удален!');
}
}

if (isset($_GET['dar']) && $user['id']==$ank['id'])
{
$gam=mysql_fetch_array(mysql_query("SELECT * FROM `fm_club` WHERE `id` = '$klubi[id]' LIMIT 1"));
if ($user['id']!=$gam['id_user'])$err='Это не ваш клуб!';
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_club` WHERE `id` = '$klubi[id]' and `timedar` > '".($time-3600)."'"),0)==1)$err='Только один раз в час!';
if (!isset($err))
{
mysql_query("UPDATE `fm_club` SET `var` = '".($klubi['var'] + 5)."', `timedar` = '$time' WHERE `id_user` = '$ank[id]'");
msg('Успешно дал советы!');
}
}


if (isset($_POST['play']) && $user['id']!=$ank['id'])
{
$fsoni=intval($_POST['balls']);
if ($fsoni<$cena['min'])$err="Минимум $cena[min] Долларов!";
if ($fsoni>$cena['max'])$err="Максимум $cena[max] Долларов!";
if ($ank['fm_money']<$fsoni)$err="У него нет $fsoni Долларов!";
if ($user['fm_money']<$fsoni)$err="У вас нет $fsoni Долларов!";
if ($fsoni==NULL)$err="Введите ставку!";
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_gamers` WHERE `id_club` = '$klubi2[id]'"),0)!=11)$err='У вас нет 11 игроков!';
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_gamers` WHERE `id_club` = '$klubi[id]'"),0)!=11)$err='У него нет 11 игроков!';
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_coach` WHERE `id_club` = '$klubi2[id]'"),0)==0)$err='У вас нет тренера!';
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_coach` WHERE `id_club` = '$klubi[id]'"),0)==0)$err='У него нет тренера!';
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_club` WHERE `id_user` = '$user[id]'"),0)==0)$err='У вас нет Клубa!';
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_club` WHERE `id_user` = '$ank[id]'"),0)==0)$err='У него нет Клубa!';
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_game` WHERE `user` = '$user[id]' and `ank` = '$ank[id]'"),0)==1)$err='Предложение Уже былo отправленo!';
if (!isset($err))
{
mysql_query("INSERT INTO `fm_game` (`user`, `ank`, `balls`, `time`) values('$user[id]', '$ank[id]', '$fsoni', '$time')");
msg('Предложение отправлено!');
}
}

$fasi=$cena['club'];
if (isset($_GET['set']) && isset($_POST['nick']) && $user['id']==$ank['id'])
{
if ($user['balls']<$fasi)$err="У вас нет $fasi Баллов!";
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_club` WHERE `id_user` = '$user[id]'"),0)==1)$err='У вас уже есть клуб!';
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_club` WHERE `name` = '".mysql_real_escape_string(esc($_POST['nick']))."'"),0)!=0)$err='Название клуба уже занято!';
if (strlen2($_POST['nick'])<3)$err='Короткое название!';
if (strlen2($_POST['nick'])>32)$err='Название не должно быть длиннее 32-х символов!';
if (ereg("\=|\+|\{|\}|\(|\)|\^|\%|\\$|#|@|!|&|\~|'|\"|:|;|`|,|\.|\?|<|>",$_POST['nick']))$err='В названии клуба присутствуют запрещенные символы!';

if (!isset($err))
{
$nick=mysql_real_escape_string(esc($_POST['nick']));
mysql_query("INSERT INTO `fm_club` (`id_user`, `name`, `time`) VALUES  ('".$user['id']."', '$nick', '$time') ");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$fasi)."' WHERE `id` = '$user[id]' LIMIT 1");
msg('Клуб успешно создан!');
}

}
err();
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_club` WHERE `id_user` = '$user[id]'"),0)==0 && $user['id']==$ank['id'])
{
echo "<div class='menu'>Название клуба:<br />\n";
echo "<form method='post' action='club.php?set'><div>\n";
echo "<input type='text' name='nick' value='' maxlength='32' /><input class='doctor' type='submit' name='save' value='Купить' />\n";
echo "</div>\n";
echo "</form>\n";
echo "<br />*Стоимость $fasi Баллов";
echo "</div>";
}
else
{
$klubi=mysql_fetch_array(mysql_query("SELECT * FROM `fm_club` WHERE `id_user` = '$ank[id]' LIMIT 1"));
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_club` WHERE `id_user` = '$ank[id]' LIMIT 1"),0)==0){header("Location: index.php?".SID);exit;}
echo "<div class='frends2'>";
$q_f=mysql_query("SELECT * FROM `fm_img` WHERE `id_club` = '$klubi[id]'");
while ($file = mysql_fetch_assoc($q_f))
{
echo "<img src='img/$file[id].jpg' alt='$file[name]' />\n";
echo "<br />\n";
}
$tamashi=$klubi['win']+$klubi['lose']+$klubi['fre'];
$varireba=$klubi['out']/$klubi['in'];
$p=round($klubi['level']/2/$tamashi*100*$varireba);
echo"<img src='static.php?p=$p&amp;rate=RATING:' alt='$p%' /><br />";
echo "Владелец: <a href='/info.php?id=$ank[id]'>$ank[nick]</a><br />\n";
echo "Название: <b>$klubi[name]</b>\n";
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_club` WHERE `id` = '$klubi[id]' and `timedar` > '".($time-3600)."'"),0)==1){$feri='green';}else{$feri='red';}
if ($user['id']==$ank['id'])echo "[<a href='club.php?dar'><b><span style='color:$feri'>о</span></b></a>]\n";
$coach=mysql_fetch_array(mysql_query("SELECT * FROM `fm_coach` WHERE `id_club` = '$klubi[id]' LIMIT 1"));
echo "<br />Тренер:\n";
$coach2=mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_coach` WHERE `id_club` = '$klubi[id]'"),0);
if ($coach2==1){echo "<a href='coach.php?id=$ank[id]'>$coach[name]</a><br />";}
else 
{
if ($user['id']==$ank['id']){echo "<a href='coach.php'>Купить</a><br />";}else{echo "У него нет!<br />";}
}
echo "Игроки:\n";
$gamers=mysql_result(mysql_query("SELECT COUNT(*) FROM `fm_gamers` WHERE `id_club` = '$klubi[id]'"),0);
if ($gamers==0){if ($user['id']==$ank['id']){echo "<a href='gamers.php'>Купить</a><br />";}else{echo "У него нет!<br />";}}
else 
{
echo "[<a href='gamers.php?id=$ank[id]'>$gamers</a>]<br />";
}
echo "Бюджет: $ank[fm_money]$<br/>";
echo "Фанатов: $klubi[fani]<br/>";
echo "Уровень: $klubi[level]<br/>";
echo "Всего матчей: $tamashi<br/>";
echo "Победы: $klubi[win]<br/>";
echo "Ничьи: $klubi[fre]<br/>";
echo "Поражений: $klubi[lose]<br/>";
echo "Забитые голы: $klubi[out]<br/>";
echo "Пропущенный голы: $klubi[in]<br/>";
echo "Основан: ".vremja($klubi["time"])."<br/>";
echo "</div>";
if ($user['id']==$ank['id'])
{
echo "<div class='foot'>";
echo "&#187; <a href='img.php'>Установить логотип</a><br/>";
echo "</div>";
}
}
if ($user['id']!=$ank['id'])
{
echo "<div class='menu'>";
echo "<form method='post' action='club.php?id=$ank[id]'>";
echo "<div>";
echo "Ставка:<br />";
echo "<input type='text' name='balls' value='' size='8' />$<input class='doctor' type='submit' value='играть' name='play' />";
echo "</div>";
echo "</form>";
echo "</div>";
}

echo "<div class='foot'>";
echo "&#171; <a href='index.php'>Назад</a><br/>";
echo "</div>";

include_once '../../sys/inc/tfoot.php';

?>
